Subject: bug#60213: [PATCH] Copy Info-goto-node-web URL as kill with prefix argument

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2022 16:04:56 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 19 Dec 2022 22:44:33 -0600
> 
> The attached patch make `Info-goto-node-web' copy the URL as kill with a
> prefix argument, instead of opening it with `browse-url'.  I've seen
> this feature requested a couple of times now by various people.
> 
> Since `Info-goto-node-web' is new in Emacs 29, this could perhaps be
> considered safe enough for emacs-29, but master is also fine, of course.

I prefer master.  We aren't even sure how popular the new command will
be, and this addition modifies its behavior in very non-trivial ways.
I'm not aware of many command in Emacs that, given an argument, just
copy a name to the kill-ring instead of acting on that name.